hpp-core: hpp::core::pathOptimization::ConfigOptimization::Parameters Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::core::pathOptimization::ConfigOptimization::Parameters Struct Reference

`#include <hpp/core/path-optimization/config-optimization.hh>`

## Public Member Functions
| Parameters ()

## Public Attributes
bool | addConfigConstraintToPath
| Defaults to false.
std::size_t | numberOfPass
std::size_t | numberOfIterations
value_type | alphaInit
std::function< Configuration_t(const PathVector &)> | getGoal
std::function< ConfigProjectorPtr_t(const PathPtr_t &, const PathPtr_t &, bool &)> | getConfigProjector
std::function< bool(JointConstPtr_t, const size_type)> | shouldFilter

## Constructor & Destructor Documentation

## ◆ Parameters()

hpp::core::pathOptimization::ConfigOptimization::Parameters::Parameters | ( |  | ) |

## Member Data Documentation

## ◆ addConfigConstraintToPath

bool hpp::core::pathOptimization::ConfigOptimization::Parameters::addConfigConstraintToPath

Defaults to false.

## ◆ alphaInit

value_type hpp::core::pathOptimization::ConfigOptimization::Parameters::alphaInit

## ◆ getConfigProjector

std::function<ConfigProjectorPtr_t(const PathPtr_t&, const PathPtr_t&, bool&)> hpp::core::pathOptimization::ConfigOptimization::Parameters::getConfigProjector

## ◆ getGoal

std::function<Configuration_t(const PathVector&)> hpp::core::pathOptimization::ConfigOptimization::Parameters::getGoal

## ◆ numberOfIterations

std::size_t hpp::core::pathOptimization::ConfigOptimization::Parameters::numberOfIterations

## ◆ numberOfPass

std::size_t hpp::core::pathOptimization::ConfigOptimization::Parameters::numberOfPass

## ◆ shouldFilter

std::function<bool(JointConstPtr_t, const size_type)> hpp::core::pathOptimization::ConfigOptimization::Parameters::shouldFilter

The documentation for this struct was generated from the following file:

- include/hpp/core/path-optimization/config-optimization.hh